# boolean_generator Class Reference

The class boolean_generator can be used in the STL generate function to easily generate random booleans with a specified bias. More...

`#include <rnd_generators.h>`

List of all members.

## Public Member Functions

| boolean_generator (float _bias=0.5, eoRng &_rng=rng)
bool | operator() (void)

## Private Attributes

float | bias
eoRng & | gen

## Detailed Description

The class boolean_generator can be used in the STL generate function to easily generate random booleans with a specified bias.

Definition at line 70 of file rnd_generators.h.

The documentation for this class was generated from the following file:

- rnd_generators.h